<%@ Page Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="OutputCache0.aspx.cs" Inherits="OutputCache0" Title="Reports Page" %>
<%@ OutputCache Duration="10" VaryByParam="CategoryID" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

    <div class="products">

        <div class="productsheader">
            <h2>Products</h2>
        </div>

        <asp:GridView ID="GridView1" CssClass="gridview" AlternatingRowStyle-CssClass="even" GridLines="None" runat="server" AutoGenerateColumns="False" DataKeyNames="ProductID" DataSourceID="ObjectDataSource1">
            <Columns>
                <asp:BoundField DataField="ProductID" HeaderText="ProductID" InsertVisible="False" ReadOnly="True" SortExpression="ProductID" />
                <asp:BoundField DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName" />
                <asp:BoundField DataField="UnitPrice" HeaderText="UnitPrice" SortExpression="UnitPrice" />
                <asp:BoundField DataField="UnitsInStock" HeaderText="UnitsInStock" SortExpression="UnitsInStock" />
                <asp:BoundField DataField="UnitsOnOrder" HeaderText="UnitsOnOrder" SortExpression="UnitsOnOrder" />
                <asp:BoundField DataField="ReorderLevel" HeaderText="ReorderLevel" SortExpression="ReorderLevel" />
                <asp:CheckBoxField DataField="Discontinued" HeaderText="Discontinued" SortExpression="Discontinued" />
            </Columns>
            <AlternatingRowStyle CssClass="even" />
        </asp:GridView>

        <h1>Generated at: <%=DateTime.Now.ToLongTimeString() %></h1>

    </div>
    
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="GetProductsByCategoryID" TypeName="NorthwindTableAdapters.ProductsTableAdapter">
        <SelectParameters>
            <asp:QueryStringParameter DefaultValue="1" Name="CategoryID" QueryStringField="CategoryId" Type="Int32" />
        </SelectParameters>
    </asp:ObjectDataSource>

</asp:Content>

