<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Customers.aspx.cs" Inherits="Customers" %>

<html>
<head id="Head1" runat="server">
    <title>Customer/Order Manager</title>
    <link href="~/StyleSheet2.css" rel="stylesheet" type="text/css" />
    
    <script language="javascript" type="text/javascript">
          
        function displayCustomers(result) {      
            hideOrders();                        
            $get("customers").innerHTML = result;
        }
    
        function displayOrders(result) {                              
            $get("orders").innerHTML = result;
            $get("orders").className = "orders_visible";
        }    
        
        function hideOrders() {
            $get("orders").className = "orders_hidden";
        }
    
    </script>
        
</head>
<body>
    <form id="form1" runat="server">
        
        <asp:ScriptManager ID="ScriptManager1" runat="server" >
            <Services>
                <asp:ServiceReference Path="~/Services/CustomerService.asmx" />
            </Services>
        </asp:ScriptManager>
        
        <h1>Customer/Order Manager</h1>
        
        <div>
            Enter Country: <input id="Country" type="text" />
            
            <a href="javascript:CustomerService.GetCustomersByCountry($get('Country').value, displayCustomers)">Show Customers</a>

            <div id="customers"></div>
            
            <div id="orders" class="orders_hidden"></div>

        </div>
        
    </form>
</body>
</html>
